
D4Science Infrastructure - Support #13083

mongo2-d-d4s, mongo4-d-d4s: Certificate expired

Dec 27, 2018 10:47 AM - Roberto Cirillo

Status: Closed Start date: Dec 27, 2018

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Infrastructure: Development, Pre-Production,

Production

  

Description

The certificate seems to be expired on the hosts above and the lag is very high now. I see the following logs:

2018-12-27T10:44:17.766+0100 E NETWORK  [conn3434] SSL peer certificate validation failed: certifi

cate has expired

2018-12-27T10:44:17.766+0100 I -        [conn3434] end connection 146.48.123.14:60718 (92 connecti

ons now open)

 Could anyone check asap? Otherwise I should disable ssl from the cluster

History

#1 - Dec 27, 2018 11:16 AM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 50

The certificates were correctly renewed on all the dev mongo instances, Dec 1st. But I see that the restart action is not present in the letsencrypt

hooks. I also see:

d4science-ghn-cluster//group_vars/mongo_vol_dev/mongo_vol_dev.yml:#mongodb_ssl_enabled: False

d4science-ghn-cluster//group_vars/mongo_vol_dev/mongo_vol_dev.yml:mongodb_ssl_enabled: True

 So I guess that the variable was switched but the playbook was not run again. @roberto.cirillo@isti.cnr.it You can run it applying the tag

mongodb_letsencrypt to fix the script, but you also must manually restart the mongodb service.

I'm going to check the status of preprod and prod.

#2 - Dec 27, 2018 11:20 AM - Roberto Cirillo

OK thanks. I'm going to run the playbook as requested

#3 - Dec 27, 2018 11:25 AM - Roberto Cirillo

After the restart I see the same error on mongo2-d-d4s and mongo4-d-d4s

#4 - Dec 27, 2018 11:34 AM - Andrea Dell'Amico

- Infrastructure Pre-Production, Production added

On the other mongo instances is installed the wrong hook script too.

A recap: mongodb does not support a service reload, so after a certificate change a restart is required. The cron job that renews the certificates runs

at different times on the various servers to avoid downtimes.

#5 - Dec 27, 2018 11:35 AM - Andrea Dell'Amico

Roberto Cirillo wrote:

After the restart I see the same error on mongo2-d-d4s and mongo4-d-d4s

 But mongodb on mongo1-d-d4s and mongo3-d-d4s was not restarted.

#6 - Dec 27, 2018 11:41 AM - Roberto Cirillo

Andrea Dell'Amico wrote:
Roberto Cirillo wrote:

After the restart I see the same error on mongo2-d-d4s and mongo4-d-d4s

 But mongodb on mongo1-d-d4s and mongo3-d-d4s was not restarted.

 You are right. After the restart it works properly.

#7 - Dec 27, 2018 11:43 AM - Roberto Cirillo

Andrea Dell'Amico wrote:

On the other mongo instances is installed the wrong hook script too.

A recap: mongodb does not support a service reload, so after a certificate change a restart is required. The cron job that renews the certificates

runs at different times on the various servers to avoid downtimes.

 So we should manually restart the production instances after the certificate renew?

#8 - Dec 27, 2018 11:50 AM - Andrea Dell'Amico

Roberto Cirillo wrote:

Andrea Dell'Amico wrote:

On the other mongo instances is installed the wrong hook script too.

A recap: mongodb does not support a service reload, so after a certificate change a restart is required. The cron job that renews the

certificates runs at different times on the various servers to avoid downtimes.

 So we should manually restart the production instances after the certificate renew?

 After you run the playbook as indicated above, the mongo servers will be restarted by the letsencrypt hook itself.

#9 - Dec 27, 2018 12:28 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

Done also on production environment. I'm going to close this ticket
